Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.ejb.timer
Class EjbGlobalJobHandle

    java.lang.Object
      org.drools.core.time.impl.AbstractJobHandle
          org.drools.core.time.impl.DefaultJobHandle
              org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle
                  org.jbpm.services.ejb.timer.EjbGlobalJobHandle

All Implemented Interfaces:
  Serializable, org.drools.core.time.JobHandle, org.drools.core.util.Entry<org.drools.core.time.JobHandle>, org.drools.core.util.LinkedListNode<org.drools.core.time.JobHandle>

    public class EjbGlobalJobHandle

extends GlobalTimerService.GlobalJobHandle

See Also:
  Serialized Form

Constructor Summary
`EjbGlobalJobHandle(long id, String uuid, String deploymentId)`

Method Summary
`String` | `getDeploymentId()`
`String` | `getUuid()`
`void` | `setDeploymentId(String deploymentId)`
`void` | `setUuid(String uuid)`
`String` | `toString()`

Methods inherited from class org.jbpm.process.core.timer.impl.GlobalTimerService.GlobalJobHandle
`getSessionId, getTimerId`

Methods inherited from class org.drools.core.time.impl.DefaultJobHandle
`equals, getId, getJob, getTimerJobInstance, hashCode, isCancel, setCancel, setTimerJobInstance`

Methods inherited from class org.drools.core.time.impl.AbstractJobHandle
`getNext, getPrevious, nullPrevNext, setNext, setPrevious`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.drools.core.time.JobHandle
`getId, isCancel, setCancel`

Methods inherited from interface org.drools.core.util.LinkedListNode
`getPrevious, nullPrevNext, setPrevious`

Methods inherited from interface org.drools.core.util.Entry
`getNext, setNext`

Constructor Detail

### EjbGlobalJobHandle

    public EjbGlobalJobHandle(long id,
                              String uuid,
                              String deploymentId)

Method Detail

### getUuid

    public String getUuid()

### setUuid

    public void setUuid(String uuid)

### toString

    public String toString()

  Overrides:
    `toString` in class `org.drools.core.time.impl.DefaultJobHandle`

### getDeploymentId

    public String getDeploymentId()

### setDeploymentId

    public void setDeploymentId(String deploymentId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.